> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fint.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Buscar compras por email del comprador

> Buscar todas las compras donde el comprador tiene el email especificado. Incluye la lista de asistentes/tickets para cada compra.



## OpenAPI

````yaml get /event/purchase/email/{email}
openapi: 3.0.0
info:
  version: 1.0.0
  title: Fint API
  description: Fint API
servers:
  - url: https://api.fint.app/api/v1
    variables: {}
security: []
paths:
  /event/purchase/email/{email}:
    get:
      tags:
        - Eventos
      summary: Buscar compras por email del comprador
      description: >-
        Buscar todas las compras donde el comprador tiene el email especificado.
        Incluye la lista de asistentes/tickets para cada compra.
      parameters:
        - schema:
            type: string
            format: email
            description: Email del comprador
            example: buyer@example.com
          required: true
          name: email
          in: path
      responses:
        '200':
          description: Compras encontradas exitosamente
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    id:
                      type: number
                    reference:
                      type: string
                    buyerFirstName:
                      type: string
                    buyerLastName:
                      type: string
                    buyerDocument:
                      type: string
                      nullable: true
                    buyerEmail:
                      type: string
                      nullable: true
                    buyerPhone:
                      type: string
                      nullable: true
                    totalAmount:
                      type: string
                    createdAt:
                      type: string
                    pdfUrl:
                      type: string
                      nullable: true
                    organizationId:
                      type: number
                    eventPageId:
                      type: number
                    eventPage:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        reference:
                          type: string
                      required:
                        - id
                        - name
                        - reference
                    attendees:
                      type: array
                      items:
                        type: object
                        properties:
                          id:
                            type: number
                          firstName:
                            type: string
                            nullable: true
                          lastName:
                            type: string
                            nullable: true
                          document:
                            type: string
                            nullable: true
                          email:
                            type: string
                            nullable: true
                          status:
                            type: string
                          amount:
                            type: string
                          reference:
                            type: string
                          itemName:
                            type: string
                          qrUrl:
                            type: string
                            nullable: true
                          generateQr:
                            type: boolean
                          pdfUrl:
                            type: string
                            nullable: true
                          askInformation:
                            type: boolean
                          isAdditional:
                            type: boolean
                        required:
                          - id
                          - firstName
                          - lastName
                          - document
                          - email
                          - status
                          - amount
                          - reference
                          - itemName
                          - qrUrl
                          - generateQr
                          - pdfUrl
                          - askInformation
                          - isAdditional
                  required:
                    - id
                    - reference
                    - buyerFirstName
                    - buyerLastName
                    - buyerDocument
                    - buyerEmail
                    - buyerPhone
                    - totalAmount
                    - createdAt
                    - pdfUrl
                    - organizationId
                    - eventPageId
                    - eventPage
                    - attendees
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````